A valid request URL is required to generate request examples{
"id": "<string>",
"object": "terminal.location",
"merchant_id": "<string>",
"livemode": true,
"display_name": "<string>",
"address": {
"line1": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"line2": "<string>"
},
"timezone": "<string>",
"merchant_category_code": "<string>",
"external_reference": "<string>",
"metadata": {},
"created_at": 123,
"updated_at": 123
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Retrieve a terminal Location
Retrieves one Location in the authenticated Merchant and key mode.
A valid request URL is required to generate request examples{
"id": "<string>",
"object": "terminal.location",
"merchant_id": "<string>",
"livemode": true,
"display_name": "<string>",
"address": {
"line1": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>",
"line2": "<string>"
},
"timezone": "<string>",
"merchant_category_code": "<string>",
"external_reference": "<string>",
"metadata": {},
"created_at": 123,
"updated_at": 123
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Merchant secret key, or an authorized Platform secret key with delegation.
Headers
Merchant ID when an authorized Platform acts for a connected Merchant. Omit when authenticating directly as that Merchant.
^mer_[0-9A-Za-z]{14}$Path Parameters
Ionic Location identifier.
^loc_[0-9A-Za-z]{14}$Response
The Location.
Unique identifier for the location (loc_…).
^loc_[0-9A-Za-z]{14}$terminal.location ID of the account that owns the location (mer_…).
^mer_[0-9A-Za-z]{14}$Derived from the secret key; it cannot be set in the request body.
Name for the location.
Street address of a location.
Show child attributes
Show child attributes
IANA timezone name for the location, such as America/Chicago.
Four-digit Merchant Category Code for the location.
^[0-9]{4}$Empty when no external reference is assigned.
Up to 50 string keys; keys are at most 40 characters and values are at most 500 characters.
Show child attributes
Show child attributes
Unix epoch seconds.
Unix epoch seconds.

